export declare type Nullable<T> = T | null | undefined;
export declare type DeepPartial<T> = {
    [P in keyof T]?: T[P] extends object ? DeepPartial<T[P]> : T[P];
};
export declare type Dict<TValue> = {
    [k: string]: TValue;
};
export declare type OneOrMany<T> = T | T[];
