import { Nullable } from "./TypescriptUtils";
export declare function humanize(str: string): string;
export declare function getFriendlyFileSize(bytes: number): string;
/**
 * Checks if the given string is empty or white space only.
 * @param str
 */
export declare function isEmpty(str: Nullable<string>): boolean;
export declare function isArray(a: any): boolean;
export declare function isDate(str: string): boolean;
export declare function isTime(str: string): boolean;
export declare function isDateTime(str: string): boolean;
export declare function isYear(str: string): boolean;
export declare function uuid(): any;
export declare function toArray<T>(src: T | T[]): T[];
export declare function toArrayWithoutNulls<T>(src: Nullable<T> | Nullable<T>[]): T[];
